/*******************************************************************************
* File Name          	: includes.h
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: all the functions prototypes and defines for the init.c
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef _SE200_h_
#define _SE200_h_ 1

/* Exported constants --------------------------------------------------------*/
#define  MCU_CLOCK		8000000     	

#define WAITms(x)	__delay_cycles((unsigned long)(x) * ((MCU_CLOCK) / 1000))	
#define WAITus(x)	__delay_cycles((unsigned long)(x) * ((MCU_CLOCK) / 1000000))	

#define sei() __enable_interrupt()
#define cli() __disable_interrupt()
#define wdr() __watchdog_reset()

enum BOOL {false, true};	
#define bool char
#define conti 0x03;

#define MAX_GAME_STEPS 0x28

#define CHOOSE_GAMEMODE           0x10

#define ADD_BUTTON                0x11

#define PLAY_SEQUENZ              0x12

#define GET_SEQUENZ               0x13

#define PLAY_SOUND_WINNER         0x14
#define PLAY_SOUND_LOOSER         0x15

/* Exported variables --------------------------------------------------------*/
extern unsigned char ucMenuPointer;
extern unsigned char ucButtonpressLong[4];
extern unsigned char ucButtonpressShort[4];

/* Exported functions --------------------------------------------------------*/
void StartSiren (void);
void StartSirenValue(unsigned char);
void StopSiren (void);
void ShortSiren(void);
void LongSiren(void);
void ControlButtonLed(unsigned char*);
void ControlAllButtonLedOn(bool);
void ControlButtonSound(unsigned char*);
void ControlButtonSoundSingle(unsigned char*);
void PlaySequenz(unsigned char*, unsigned char);
unsigned char CompButtonSeq(unsigned char*, unsigned char*, unsigned char, unsigned char); 
void InitGameSeq(unsigned char*);
void MainMenu(void);

#endif

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
