/*******************************************************************************
* File Name          	: includes.h
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: all the functions prototypes and defines of the project
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef _keys_h_
#define _keys_h_ 1

/* Exported constants --------------------------------------------------------*/
#define TA1         0x0E
#define TA2         0x16
#define TA3         0x1A
#define TA4         0x1C

#define BUTTON_DOWN    0x1F
#define BUTTON_MEDIUM  0x40
#define BUTTON_LONG    0x80
#define NO_BUTTON      0x1E

/* Exported variables --------------------------------------------------------*/
extern unsigned char ucButtonsActive, ucHoldTime, ucNoButton;

/* Exported functions --------------------------------------------------------*/

void InitButtons(void);
void EndButtons(void);
void WaitButtonsUp(void);
unsigned char GetButton(void);

#endif

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
