/*******************************************************************************
* File Name          	: init.c
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: Init routines for the SE200
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "includes.h"

/*******************************************************************************
* Function Name  : Init
* Description    : Init the GPIO of the ATmega
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/

void Init(void)
{
  // Port B 
  PORTB = (0<<PB0) | (0<<PB1) | (1<<PB2) | (0<<PB3) | (0<<PB4) | (0<<PB5) | (0<<PB6) | (0<<PB7);
  DDRB = (1<<DDB0) | (1<<DDB1) | (1<<DDB2) | (1<<DDB3) | (0<<DDB4) | (1<<DDB5) | (0<<DDB6) | (0<<DDB7);

  // Port C
  PORTC = (0<<PC0) | (1<<PC1) | (1<<PC2) | (1<<PC3) | (1<<PC4) | (1<<PC5) | (1<<PC6); 
  DDRC = (0<<DDC0) | (0<<DDC1) | (0<<DDC2) | (0<<DDC3) | (0<<DDC4) | (0<<DDC5) | (0<<DDC6);

  // Port D
  PORTD = (1<<PD0) | (1<<PD1) | (1<<PD2) | (1<<PD3) |  (1<<PD4) | (1<<PD5) | (1<<PD6) | (1<<PD7);
  DDRD = (1<<DDD0) | (1<<DDD1) | (1<<DDD2) | (1<<DDD3) | (0<<DDD4) | (0<<DDD5) | (1<<DDD6) | (0<<DDD7);
  
  InitTimer1();
}

/*******************************************************************************
* Function Name  : InitTimer1
* Description    : Init the timer 1 for the button routine  
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/

void InitTimer1(void)
{    
  TCCR1B = 0x0A;      // run Timer 1 CTC mode prescaler 1 (1 s @ 8 MHz)
  OCR1A = 62499;      // 62500 x 1 s -> OCF1A alle 62,5 ms
  TIFR1 = (1<<OCF1A); // clear compare match flag
}

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
