/*******************************************************************************
* File Name          	: main.c
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: Main routines for the SE200
* Game Description    : source: http://en.wikipedia.org/wiki/Simon_%28game%29
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
* Fuse Bits for SE200 : EXTENDED -> FF | HIGH -> DF | LOW -> E2
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "includes.h"

/*******************************************************************************
* Function Name  : main
* Description    : Main Function 
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void main(void)
{
  Init();
  InitButtons();
  sei(); 
  
  while(1)
	{  
    if(TIFR1 & (1<<OCF1A))  // alle 62,5 ms
    {
    	TIFR1 = (1<<OCF1A);   // clear compare match flag
      
      switch (GetButton())
      {
         case TA1:
          ucButtonpressShort[3] = true;
          ucNoButton=false;
          break;
          
        case TA2:
          ucButtonpressShort[2] = true;
          ucNoButton=false;
          break; 
      
        case TA3:
          ucButtonpressShort[1] = true;
          ucNoButton=false;
          break;
          
        case TA4:
          ucButtonpressShort[0] = true;
          ucNoButton=false;
          break;
  
        default:
          ucNoButton++;
          break;
      }
      ControlButtonLed(&ucButtonpressShort[0]);
	    ControlButtonSound(&ucButtonpressShort[0]);
    }
    MainMenu(); 
  }
}

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/

