/*******************************************************************************
* File Name          	: random.c
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: Random routines
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Includes ------------------------------------------------------------------*/
#include "includes.h"

/* Private variables ---------------------------------------------------------*/
static unsigned long r = 0x00;

/*******************************************************************************
* Function Name  : GetRandom
* Description    : Get a random value 
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/

__monitor unsigned int getRandom(void) 
{
  r = TCNT1;
  r = (A*r+C) % M;
	return (r>>16) & 0x0F;
}

/*******************************************************************************
* Function Name  : AddRandomButton
* Description    : Add a random buuton to the game sequence
* Input          : -ucSequenz : Pointer on the sequenz array									
									 -ucSeqPos : Value of the actual gamesequenz position 
* Output         : None
* Return         : None
*******************************************************************************/

void AddRandomButton(unsigned char* ucSequenz, unsigned char ucSeqPos)
{  
	unsigned int uiRandomValue;
  
  ucSequenz+=ucSeqPos;
  
  uiRandomValue = getRandom();
 
  if(uiRandomValue <= 0x04)
  *ucSequenz = 0x00;
      
  else if((uiRandomValue <= 0x08)&&(uiRandomValue > 0x04))
  *ucSequenz = 0x01;  
  
  else if((uiRandomValue <= 0x0C)&&(uiRandomValue >= 0x08)) 
  *ucSequenz = 0x02;
  
  else if(uiRandomValue > 0x0C) 
  *ucSequenz = 0x03;
}

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
